import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'landing-page',
      component: require('@/components/LandingPage').default
    },
    {
      path: '*',
      redirect: '/'
    },
    {
        path: '/config',
        name: 'config',
        component: require('@/components/Config').default
    },
    {
        path: '/blueTooth',
        name: 'blueTooth',
        component: require('@/components/BlueTooth').default
    },
    {
        path: '/rt_ble',
        name: 'rt_ble',
        component: require('@/components/ble/bleIndex').default
    },
    {
        path: '/char_server',
        name: 'char_server',
        component: require('@/components/ble/characteristicsServers').default
    },

  ]
})
